rockspec_format = "3.0"
package = "highlighter.sile"
version = "0.2.1-1"
source = {
  url = "git+https://github.com/Omikhleia/highlighter.sile.git",
  tag = "v0.2.1",
}
description = {
  summary = "A code syntax higlighting package for the SILE typesetting system.",
  detailed = [[
    This package for the SILE typesetting system provides a code syntax highlighter
    for various programming languages.
    The syntax highlighting is based on the Scintillua library.
  ]],
  homepage = "https://github.com/Omikhleia/highlighter.sile",
  license = "MIT",
}
dependencies = {
   "lua >= 5.1",
   "labelrefs.sile >= 0.1.0",
}
build = {
  type = "builtin",
  modules = {
    ["sile.packages.highlighter"] = "packages/highlighter/init.lua",

    ["sile.addon-lexers.sil"] = "addon-lexers/sil.lua",

    ["sile.scintillua.lexers.actionscript"] = "scintillua/lexers/actionscript.lua",
    ["sile.scintillua.lexers.ada"] = "scintillua/lexers/ada.lua",
    ["sile.scintillua.lexers.antlr"] = "scintillua/lexers/antlr.lua",
    ["sile.scintillua.lexers.apdl"] = "scintillua/lexers/apdl.lua",
    ["sile.scintillua.lexers.apl"] = "scintillua/lexers/apl.lua",
    ["sile.scintillua.lexers.applescript"] = "scintillua/lexers/applescript.lua",
    ["sile.scintillua.lexers.asm"] = "scintillua/lexers/asm.lua",
    ["sile.scintillua.lexers.asp"] = "scintillua/lexers/asp.lua",
    ["sile.scintillua.lexers.autohotkey"] = "scintillua/lexers/autohotkey.lua",
    ["sile.scintillua.lexers.autoit"] = "scintillua/lexers/autoit.lua",
    ["sile.scintillua.lexers.awk"] = "scintillua/lexers/awk.lua",
    ["sile.scintillua.lexers.bash"] = "scintillua/lexers/bash.lua",
    ["sile.scintillua.lexers.batch"] = "scintillua/lexers/batch.lua",
    ["sile.scintillua.lexers.bibtex"] = "scintillua/lexers/bibtex.lua",
    ["sile.scintillua.lexers.boo"] = "scintillua/lexers/boo.lua",
    ["sile.scintillua.lexers.caml"] = "scintillua/lexers/caml.lua",
    ["sile.scintillua.lexers.chuck"] = "scintillua/lexers/chuck.lua",
    ["sile.scintillua.lexers.clojure"] = "scintillua/lexers/clojure.lua",
    ["sile.scintillua.lexers.c"] = "scintillua/lexers/c.lua",
    ["sile.scintillua.lexers.cmake"] = "scintillua/lexers/cmake.lua",
    ["sile.scintillua.lexers.coffeescript"] = "scintillua/lexers/coffeescript.lua",
    ["sile.scintillua.lexers.container"] = "scintillua/lexers/container.lua",
    ["sile.scintillua.lexers.context"] = "scintillua/lexers/context.lua",
    ["sile.scintillua.lexers.cpp"] = "scintillua/lexers/cpp.lua",
    ["sile.scintillua.lexers.crystal"] = "scintillua/lexers/crystal.lua",
    ["sile.scintillua.lexers.csharp"] = "scintillua/lexers/csharp.lua",
    ["sile.scintillua.lexers.css"] = "scintillua/lexers/css.lua",
    ["sile.scintillua.lexers.cuda"] = "scintillua/lexers/cuda.lua",
    ["sile.scintillua.lexers.dart"] = "scintillua/lexers/dart.lua",
    ["sile.scintillua.lexers.desktop"] = "scintillua/lexers/desktop.lua",
    ["sile.scintillua.lexers.diff"] = "scintillua/lexers/diff.lua",
    ["sile.scintillua.lexers.django"] = "scintillua/lexers/django.lua",
    ["sile.scintillua.lexers.d"] = "scintillua/lexers/d.lua",
    ["sile.scintillua.lexers.dockerfile"] = "scintillua/lexers/dockerfile.lua",
    ["sile.scintillua.lexers.dot"] = "scintillua/lexers/dot.lua",
    ["sile.scintillua.lexers.eiffel"] = "scintillua/lexers/eiffel.lua",
    ["sile.scintillua.lexers.elixir"] = "scintillua/lexers/elixir.lua",
    ["sile.scintillua.lexers.elm"] = "scintillua/lexers/elm.lua",
    ["sile.scintillua.lexers.erlang"] = "scintillua/lexers/erlang.lua",
    ["sile.scintillua.lexers.factor"] = "scintillua/lexers/factor.lua",
    ["sile.scintillua.lexers.fantom"] = "scintillua/lexers/fantom.lua",
    ["sile.scintillua.lexers.faust"] = "scintillua/lexers/faust.lua",
    ["sile.scintillua.lexers.fennel"] = "scintillua/lexers/fennel.lua",
    ["sile.scintillua.lexers.fish"] = "scintillua/lexers/fish.lua",
    ["sile.scintillua.lexers.forth"] = "scintillua/lexers/forth.lua",
    ["sile.scintillua.lexers.fortran"] = "scintillua/lexers/fortran.lua",
    ["sile.scintillua.lexers.fsharp"] = "scintillua/lexers/fsharp.lua",
    ["sile.scintillua.lexers.fstab"] = "scintillua/lexers/fstab.lua",
    ["sile.scintillua.lexers.gap"] = "scintillua/lexers/gap.lua",
    ["sile.scintillua.lexers.gemini"] = "scintillua/lexers/gemini.lua",
    ["sile.scintillua.lexers.gettext"] = "scintillua/lexers/gettext.lua",
    ["sile.scintillua.lexers.gherkin"] = "scintillua/lexers/gherkin.lua",
    ["sile.scintillua.lexers.git-rebase"] = "scintillua/lexers/git-rebase.lua",
    ["sile.scintillua.lexers.gleam"] = "scintillua/lexers/gleam.lua",
    ["sile.scintillua.lexers.glsl"] = "scintillua/lexers/glsl.lua",
    ["sile.scintillua.lexers.gnuplot"] = "scintillua/lexers/gnuplot.lua",
    ["sile.scintillua.lexers.go"] = "scintillua/lexers/go.lua",
    ["sile.scintillua.lexers.groovy"] = "scintillua/lexers/groovy.lua",
    ["sile.scintillua.lexers.gtkrc"] = "scintillua/lexers/gtkrc.lua",
    ["sile.scintillua.lexers.hare"] = "scintillua/lexers/hare.lua",
    ["sile.scintillua.lexers.haskell"] = "scintillua/lexers/haskell.lua",
    ["sile.scintillua.lexers.html"] = "scintillua/lexers/html.lua",
    ["sile.scintillua.lexers.icon"] = "scintillua/lexers/icon.lua",
    ["sile.scintillua.lexers.idl"] = "scintillua/lexers/idl.lua",
    ["sile.scintillua.lexers.inform"] = "scintillua/lexers/inform.lua",
    ["sile.scintillua.lexers.ini"] = "scintillua/lexers/ini.lua",
    ["sile.scintillua.lexers.io_lang"] = "scintillua/lexers/io_lang.lua",
    ["sile.scintillua.lexers.java"] = "scintillua/lexers/java.lua",
    ["sile.scintillua.lexers.javascript"] = "scintillua/lexers/javascript.lua",
    ["sile.scintillua.lexers.jq"] = "scintillua/lexers/jq.lua",
    ["sile.scintillua.lexers.json"] = "scintillua/lexers/json.lua",
    ["sile.scintillua.lexers.jsp"] = "scintillua/lexers/jsp.lua",
    ["sile.scintillua.lexers.julia"] = "scintillua/lexers/julia.lua",
    ["sile.scintillua.lexers.latex"] = "scintillua/lexers/latex.lua",
    ["sile.scintillua.lexers.ledger"] = "scintillua/lexers/ledger.lua",
    ["sile.scintillua.lexers.less"] = "scintillua/lexers/less.lua",
    ["sile.scintillua.lexers.lexer"] = "scintillua/lexers/lexer.lua",
    ["sile.scintillua.lexers.lilypond"] = "scintillua/lexers/lilypond.lua",
    ["sile.scintillua.lexers.lisp"] = "scintillua/lexers/lisp.lua",
    ["sile.scintillua.lexers.litcoffee"] = "scintillua/lexers/litcoffee.lua",
    ["sile.scintillua.lexers.logtalk"] = "scintillua/lexers/logtalk.lua",
    ["sile.scintillua.lexers.lua"] = "scintillua/lexers/lua.lua",
    ["sile.scintillua.lexers.makefile"] = "scintillua/lexers/makefile.lua",
    ["sile.scintillua.lexers.markdown"] = "scintillua/lexers/markdown.lua",
    ["sile.scintillua.lexers.matlab"] = "scintillua/lexers/matlab.lua",
    ["sile.scintillua.lexers.mediawiki"] = "scintillua/lexers/mediawiki.lua",
    ["sile.scintillua.lexers.meson"] = "scintillua/lexers/meson.lua",
    ["sile.scintillua.lexers.moonscript"] = "scintillua/lexers/moonscript.lua",
    ["sile.scintillua.lexers.myrddin"] = "scintillua/lexers/myrddin.lua",
    ["sile.scintillua.lexers.nemerle"] = "scintillua/lexers/nemerle.lua",
    ["sile.scintillua.lexers.networkd"] = "scintillua/lexers/networkd.lua",
    ["sile.scintillua.lexers.nim"] = "scintillua/lexers/nim.lua",
    ["sile.scintillua.lexers.nix"] = "scintillua/lexers/nix.lua",
    ["sile.scintillua.lexers.nsis"] = "scintillua/lexers/nsis.lua",
    ["sile.scintillua.lexers.null"] = "scintillua/lexers/null.lua",
    ["sile.scintillua.lexers.objeck"] = "scintillua/lexers/objeck.lua",
    ["sile.scintillua.lexers.objective_c"] = "scintillua/lexers/objective_c.lua",
    ["sile.scintillua.lexers.output"] = "scintillua/lexers/output.lua",
    ["sile.scintillua.lexers.pascal"] = "scintillua/lexers/pascal.lua",
    ["sile.scintillua.lexers.perl"] = "scintillua/lexers/perl.lua",
    ["sile.scintillua.lexers.php"] = "scintillua/lexers/php.lua",
    ["sile.scintillua.lexers.pico8"] = "scintillua/lexers/pico8.lua",
    ["sile.scintillua.lexers.pike"] = "scintillua/lexers/pike.lua",
    ["sile.scintillua.lexers.pkgbuild"] = "scintillua/lexers/pkgbuild.lua",
    ["sile.scintillua.lexers.pony"] = "scintillua/lexers/pony.lua",
    ["sile.scintillua.lexers.powershell"] = "scintillua/lexers/powershell.lua",
    ["sile.scintillua.lexers.prolog"] = "scintillua/lexers/prolog.lua",
    ["sile.scintillua.lexers.props"] = "scintillua/lexers/props.lua",
    ["sile.scintillua.lexers.protobuf"] = "scintillua/lexers/protobuf.lua",
    ["sile.scintillua.lexers.ps"] = "scintillua/lexers/ps.lua",
    ["sile.scintillua.lexers.pure"] = "scintillua/lexers/pure.lua",
    ["sile.scintillua.lexers.python"] = "scintillua/lexers/python.lua",
    ["sile.scintillua.lexers.rails"] = "scintillua/lexers/rails.lua",
    ["sile.scintillua.lexers.rc"] = "scintillua/lexers/rc.lua",
    ["sile.scintillua.lexers.reason"] = "scintillua/lexers/reason.lua",
    ["sile.scintillua.lexers.rebol"] = "scintillua/lexers/rebol.lua",
    ["sile.scintillua.lexers.rest"] = "scintillua/lexers/rest.lua",
    ["sile.scintillua.lexers.rexx"] = "scintillua/lexers/rexx.lua",
    ["sile.scintillua.lexers.rhtml"] = "scintillua/lexers/rhtml.lua",
    ["sile.scintillua.lexers.r"] = "scintillua/lexers/r.lua",
    ["sile.scintillua.lexers.routeros"] = "scintillua/lexers/routeros.lua",
    ["sile.scintillua.lexers.rpmspec"] = "scintillua/lexers/rpmspec.lua",
    ["sile.scintillua.lexers.ruby"] = "scintillua/lexers/ruby.lua",
    ["sile.scintillua.lexers.rust"] = "scintillua/lexers/rust.lua",
    ["sile.scintillua.lexers.sass"] = "scintillua/lexers/sass.lua",
    ["sile.scintillua.lexers.scala"] = "scintillua/lexers/scala.lua",
    ["sile.scintillua.lexers.scheme"] = "scintillua/lexers/scheme.lua",
    ["sile.scintillua.lexers.smalltalk"] = "scintillua/lexers/smalltalk.lua",
    ["sile.scintillua.lexers.sml"] = "scintillua/lexers/sml.lua",
    ["sile.scintillua.lexers.snobol4"] = "scintillua/lexers/snobol4.lua",
    ["sile.scintillua.lexers.spin"] = "scintillua/lexers/spin.lua",
    ["sile.scintillua.lexers.sql"] = "scintillua/lexers/sql.lua",
    ["sile.scintillua.lexers.strace"] = "scintillua/lexers/strace.lua",
    ["sile.scintillua.lexers.systemd"] = "scintillua/lexers/systemd.lua",
    ["sile.scintillua.lexers.taskpaper"] = "scintillua/lexers/taskpaper.lua",
    ["sile.scintillua.lexers.tcl"] = "scintillua/lexers/tcl.lua",
    ["sile.scintillua.lexers.texinfo"] = "scintillua/lexers/texinfo.lua",
    ["sile.scintillua.lexers.tex"] = "scintillua/lexers/tex.lua",
    ["sile.scintillua.lexers.text"] = "scintillua/lexers/text.lua",
    ["sile.scintillua.lexers.toml"] = "scintillua/lexers/toml.lua",
    ["sile.scintillua.lexers.troff"] = "scintillua/lexers/troff.lua",
    ["sile.scintillua.lexers.txt2tags"] = "scintillua/lexers/txt2tags.lua",
    ["sile.scintillua.lexers.typescript"] = "scintillua/lexers/typescript.lua",
    ["sile.scintillua.lexers.vala"] = "scintillua/lexers/vala.lua",
    ["sile.scintillua.lexers.vb"] = "scintillua/lexers/vb.lua",
    ["sile.scintillua.lexers.vcard"] = "scintillua/lexers/vcard.lua",
    ["sile.scintillua.lexers.verilog"] = "scintillua/lexers/verilog.lua",
    ["sile.scintillua.lexers.vhdl"] = "scintillua/lexers/vhdl.lua",
    ["sile.scintillua.lexers.wsf"] = "scintillua/lexers/wsf.lua",
    ["sile.scintillua.lexers.xml"] = "scintillua/lexers/xml.lua",
    ["sile.scintillua.lexers.xs"] = "scintillua/lexers/xs.lua",
    ["sile.scintillua.lexers.xtend"] = "scintillua/lexers/xtend.lua",
    ["sile.scintillua.lexers.yaml"] = "scintillua/lexers/yaml.lua",
    ["sile.scintillua.lexers.zig"] = "scintillua/lexers/zig.lua",
  },
}
